document.addEventListener('DOMContentLoaded', () => {
  // Particle effect
  const particleContainer = document.querySelector('.particle-container');
  
  function createParticle() {
    const particle = document.createElement('div');
    particle.style.position = 'absolute';
    particle.style.width = '2px';
    particle.style.height = '2px';
    particle.style.background = '#1faaff';
    particle.style.borderRadius = '50%';
    particle.style.pointerEvents = 'none';
    
    // Random starting position
    particle.style.left = Math.random() * 100 + 'vw';
    particle.style.top = Math.random() * 100 + 'vh';
    
    // Animation
    particle.style.animation = `float ${Math.random() * 3 + 2}s linear infinite`;
    
    particleContainer.appendChild(particle);
    
    // Remove particle after animation
    setTimeout(() => {
      particle.remove();
    }, 5000);
  }
  
  // Create particles periodically
  setInterval(createParticle, 100);
  
  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});

// Add floating animation
const style = document.createElement('style');
style.textContent = `
  @keyframes float {
    0% {
      transform: translateY(0) translateX(0);
      opacity: 0;
    }
    50% {
      opacity: 0.8;
    }
    100% {
      transform: translateY(-100vh) translateX(50px);
      opacity: 0;
    }
  }
`;
document.head.appendChild(style);
